import type { EditorView } from "../../../../../../pm/view.js";
/** Same as `DropCursorOptions` from _prosemirror-dropcursor_ package */
export type DropCursorParams = {
    /** The color of the cursor. Defaults to `black`. Use `false` to apply no color and rely only on class. */
    color?: string | false;
    /** The precise width of the cursor in pixels. Defaults to 1. */
    width?: number;
    /** A CSS class name to add to the cursor element. */
    class?: string;
};
type Rect = {
    left: number;
    right: number;
    top: number;
    bottom: number;
};
export declare class DropCursor {
    protected readonly editorView: EditorView;
    protected readonly width: number;
    protected readonly color: string | undefined;
    protected readonly class: string | undefined;
    protected cursorElem: HTMLElement | null;
    private cursorPos;
    constructor(editorView: EditorView, params?: DropCursorParams);
    getPos(): number | null;
    setPos(val: number): void;
    clear(): void;
    update(): void;
    protected render(rect: Rect, { isBlock }: {
        isBlock: boolean;
    }): void;
}
export declare class TableColumnDropCursor extends DropCursor {
    update(): void;
}
export {};
